我的 ASUS x552C 中的 Wifi 在 Ubuntu 17.10 上在家里运行良好,但当我来到大学并按照一些程序连接到他们的 Wifi 时,最后一个程序是运行我从大学的 netstart 页面下载的这个文件。该文件 (SecureW2_JoinNow.run) 的来源是:
#!/bin/sh
die () {
[ ! -z "$1" ] && echo "Fatal: $1"
[ ! -z "$tmpdir" -a -d "$tmpdir" ] && ${RM} -Rf "$tmpdir"
exit 1
}
missing () {
echo 'Executable `'$1'` seems to be missing, not executable or cannot be located with `which`.'
echo ''
echo 'Please install this program using your distribution-specific package manager (e.g. `apt-get` or `yum`).'
echo 'If this does not solve the issue, you can try editing this script by hand to provide the proper'
echo 'executable locations, or request your network administrator to contact SecureW2 Support.'
die
}
findutil () {
for u in "$@"; do \
p="$("${WHICH}" "$u" 2> /dev/null)"
[ ! -z "$p" ] && break
done
[ -z "$p" ] && missing "$1"
return 0
}
which --skip-alias which > /dev/null 2>&1
if [ $? -eq 0 ]; then \
WHICH="$(which --skip-alias which)"
else
WHICH="$(which which)"
fi
[ ! -x "${WHICH}" ] && missing which
findutil mkdir && MKDIR="$p"
findutil rm && RM="$p"
findutil tar && TAR="$p"
findutil gzip && GZIP="$p"
findutil pwd && PWD="$p"
findutil sed && SED="$p"
findutil readlink && READLINK="$p"
findutil python \
python2 \
python3 && PYTHON="$p"
tmpdir="/tmp/securew2-joinnow-$$.tmp"
archive="$(${READLINK} -f "$0")"
${MKDIR} -p "$tmpdir" || die "Error creating temporary directory $tmpdir"
cd $tmpdir || die "Error switching working directory to $tmpdir"
${SED} '0,/^#ARCHIVE#$/d' "$archive" | ${GZIP} -d | ${TAR} x || die "Error extracting embedded archive"
${PYTHON} main.py "$@"
retval=$?
${RM} -Rf "$tmpdir"
exit $retval
#ARCHIVE#
And tons of numbers and symbols...
当我打开笔记本电脑时,WiFi 运行 1 分钟,速度非常慢,然后断开连接。然后我必须执行
sudo service network-manager restart
以使其正常工作,但同样的事情一再发生。
以下是我认为连接到wifi的日志:
ieee80211 phy0:rt2x00queue_write_tx_frame:错误 - 由于 tx 队列 0 已满而丢失帧
nl80211: 意外的加密算法 5
dbus:无法构造信号
dbus:wpa_dbus_get_object_properties:无法获取对象属性:(无)无
((src/devices/nm-device.c:1452)): 断言''失败
三天以来,我一直在 askubuntu 和整个网络上寻找答案,发现可能是因为“wpasupplicant 2.4”不接受弱证书或类似的东西...因为我是 ubuntu 的新手,也是这个论坛的新手,所以很抱歉我不能尽可能具体,但只要有人建议,我会添加更多信息。
dpkg -l network-manager 的输出:
$ dpkg -l network-manager
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-============================-===================-===================-==============================================================
ii network-manager 1.8.4-1ubuntu3 amd64 network management framework (daemon and userspace tools)
dpkg -l wpasupplicant 的输出:
~$ dpkg -l wpasupplicant
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-============================-===================-===================-==============================================================
ii wpasupplicant 2.4-0ubuntu10 amd64 client support for WPA and WPA2 (IEEE 802.11i)
尽管昨晚我尝试从以下网址下载 2.6 .tar 文件升级到 2.6,但 wpasupplicant 的版本显示为 2.4:互联网,并按照说明编译和安装从这网站。然而,我在这样做的时候遇到了错误,所以我不得不在网上搜索越来越多的东西,最后当我这样做的时候制作&&制作安装,它运行没有错误,所以这让我认为安装成功了。但是,Synaptic 和 dpkg 中显示的版本仍然相同。
如有任何想法、线索和信息我将不胜感激,因为我已经三天没有正常睡觉了,因为大学明天就要开学了,我想准备好我的笔记本电脑……
关于网络适配器的 lspci 输出:
03:00.0 Network controller: MEDIATEK Corp. MT7630e 802.11bgn Wireless Network Adapter
04:00.2 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0a)
/etc/NetworkManager/system-connections/-=SSID=- 文件:
[connection]
id=-=ID=-
uuid=-=UUID=-
type=wifi
autoconnect-priority=20
permissions=
[wifi]
mac-address-blacklist=
mode=infrastructure
ssid=-=SSID=-
[wifi-security]
auth-alg=open
key-mgmt=wpa-eap
[802-1x]
eap=peap;
[email protected]=-
password=-=myPassword=-
phase2-auth=mschapv2
[ipv4]
dns-search=
method=auto
[ipv6]
dns-search=
method=auto
(我不想回到 Windows,因为在安装的第一天之后我就真的很喜欢 Ubuntu,尽管我花了数周时间修复错误,而且我还是新手。)
PS 有人可能会说这个问题是重复的,但我可以向你保证它不是,因为我遵循了 askubuntu 上的每一个说明,但仍然没有运气!
谢谢你!